package org.iso.mpeg.mpegj.scene;

/**
 * An interface defining constants for eventIn fields of all nodes.
 * 
 * @author Mikael Bourges-Sevenier (mikael@mindego.com), Mindego Inc.
 */
public interface EventIn
{
  public interface Anchor
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int description = 3;
    static final int parameter = 4;
    static final int url = 5;
    static final int activate = 6;
  }
  public interface AnimationStream
  {
    static final int loop = 0;
    static final int speed = 1;
    static final int startTime = 2;
    static final int stopTime = 3;
    static final int url = 4;
  }
  public interface Appearance
  {
    static final int material = 0;
    static final int texture = 1;
    static final int textureTransform = 2;
  }
  public interface AudioBuffer
  {
    static final int loop = 0;
    static final int pitch = 1;
    static final int startTime = 2;
    static final int stopTime = 3;
    static final int children = 4;
    static final int numChan = 5;
    static final int phaseGroup = 6;
    static final int length = 7;
  }
  public interface AudioClip
  {
    static final int description = 0;
    static final int loop = 1;
    static final int pitch = 2;
    static final int startTime = 3;
    static final int stopTime = 4;
    static final int url = 5;
  }
  public interface AudioDelay
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int delay = 3;
  }
  public interface AudioFX
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int orch = 3;
    static final int score = 4;
    static final int params = 5;
  }
  public interface AudioMix
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int numInputs = 3;
    static final int matrix = 4;
  }
  public interface AudioSource
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int url = 3;
    static final int pitch = 4;
    static final int speed = 5;
    static final int startTime = 6;
    static final int stopTime = 7;
  }
  public interface AudioSwitch
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int whichChoice = 3;
  }
  public interface Background
  {
    static final int set_bind = 0;
    static final int groundAngle = 1;
    static final int groundColor = 2;
    static final int backUrl = 3;
    static final int bottomUrl = 4;
    static final int frontUrl = 5;
    static final int leftUrl = 6;
    static final int rightUrl = 7;
    static final int topUrl = 8;
    static final int skyAngle = 9;
    static final int skyColor = 10;
  }
  public interface Background2D
  {
    static final int set_bind = 0;
    static final int backColor = 1;
    static final int url = 2;
  }
  public interface Billboard
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int axisOfRotation = 3;
  }
  public interface Bitmap
  {
    static final int scale = 0;
  }
  public interface Box
  {
  }
  public interface Circle
  {
    static final int radius = 0;
  }
  public interface Collision
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int collide = 3;
  }
  public interface Color
  {
    static final int color = 0;
  }
  public interface ColorInterpolator
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface CompositeTexture2D
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int pixelWidth = 3;
    static final int pixelHeight = 4;
    static final int background = 5;
    static final int viewport = 6;
  }
  public interface CompositeTexture3D
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int pixelWidth = 3;
    static final int pixelHeight = 4;
    static final int background = 5;
    static final int fog = 6;
    static final int navigationInfo = 7;
    static final int viewpoint = 8;
  }
  public interface Conditional
  {
    static final int activate = 0;
    static final int reverseActivate = 1;
    static final int buffer = 2;
  }
  public interface Cone
  {
  }
  public interface Coordinate
  {
    static final int point = 0;
  }
  public interface Coordinate2D
  {
    static final int point = 0;
  }
  public interface CoordinateInterpolator
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface CoordinateInterpolator2D
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface Curve2D
  {
    static final int point = 0;
    static final int fineness = 1;
    static final int type = 2;
  }
  public interface Cylinder
  {
  }
  public interface CylinderSensor
  {
    static final int autoOffset = 0;
    static final int diskAngle = 1;
    static final int enabled = 2;
    static final int maxAngle = 3;
    static final int minAngle = 4;
    static final int offset = 5;
  }
  public interface DirectionalLight
  {
    static final int ambientIntensity = 0;
    static final int color = 1;
    static final int direction = 2;
    static final int intensity = 3;
    static final int on = 4;
  }
  public interface DiscSensor
  {
    static final int autoOffset = 0;
    static final int enabled = 1;
    static final int maxAngle = 2;
    static final int minAngle = 3;
    static final int offset = 4;
  }
  public interface ElevationGrid
  {
    static final int set_height = 0;
    static final int color = 1;
    static final int normal = 2;
    static final int texCoord = 3;
  }
  public interface Expression
  {
    static final int expression_select1 = 0;
    static final int expression_intensity1 = 1;
    static final int expression_select2 = 2;
    static final int expression_intensity2 = 3;
    static final int init_face = 4;
    static final int expression_def = 5;
  }
  public interface Extrusion
  {
    static final int set_crossSection = 0;
    static final int set_orientation = 1;
    static final int set_scale = 2;
    static final int set_spine = 3;
  }
  public interface Face
  {
    static final int fap = 0;
    static final int fdp = 1;
    static final int fit = 2;
    static final int ttsSource = 3;
    static final int renderedFace = 4;
  }
  public interface FaceDefMesh
  {
  }
  public interface FaceDefTables
  {
    static final int faceDefMesh = 0;
    static final int faceDefTransform = 1;
  }
  public interface FaceDefTransform
  {
  }
  public interface FAP
  {
    static final int viseme = 0;
    static final int expression = 1;
    static final int open_jaw = 2;
    static final int lower_t_midlip = 3;
    static final int raise_b_midlip = 4;
    static final int stretch_l_corner = 5;
    static final int stretch_r_corner = 6;
    static final int lower_t_lip_lm = 7;
    static final int lower_t_lip_rm = 8;
    static final int lower_b_lip_lm = 9;
    static final int lower_b_lip_rm = 10;
    static final int raise_l_cornerlip = 11;
    static final int raise_r_cornerlip = 12;
    static final int thrust_jaw = 13;
    static final int shift_jaw = 14;
    static final int push_b_lip = 15;
    static final int push_t_lip = 16;
    static final int depress_chin = 17;
    static final int close_t_l_eyelid = 18;
    static final int close_t_r_eyelid = 19;
    static final int close_b_l_eyelid = 20;
    static final int close_b_r_eyelid = 21;
    static final int yaw_l_eyeball = 22;
    static final int yaw_r_eyeball = 23;
    static final int pitch_l_eyeball = 24;
    static final int pitch_r_eyeball = 25;
    static final int thrust_l_eyeball = 26;
    static final int thrust_r_eyeball = 27;
    static final int dilate_l_pupil = 28;
    static final int dilate_r_pupil = 29;
    static final int raise_l_i_eyebrow = 30;
    static final int raise_r_i_eyebrow = 31;
    static final int raise_l_m_eyebrow = 32;
    static final int raise_r_m_eyebrow = 33;
    static final int raise_l_o_eyebrow = 34;
    static final int raise_r_o_eyebrow = 35;
    static final int squeeze_l_eyebrow = 36;
    static final int squeeze_r_eyebrow = 37;
    static final int puff_l_cheek = 38;
    static final int puff_r_cheek = 39;
    static final int lift_l_cheek = 40;
    static final int lift_r_cheek = 41;
    static final int shift_tongue_tip = 42;
    static final int raise_tongue_tip = 43;
    static final int thrust_tongue_tip = 44;
    static final int raise_tongue = 45;
    static final int tongue_roll = 46;
    static final int head_pitch = 47;
    static final int head_yaw = 48;
    static final int head_roll = 49;
    static final int lower_t_midlip_o = 50;
    static final int raise_b_midlip_o = 51;
    static final int stretch_l_cornerlip = 52;
    static final int stretch_r_cornerlip = 53;
    static final int lower_t_lip_lm_o = 54;
    static final int lower_t_lip_rm_o = 55;
    static final int raise_b_lip_lm_o = 56;
    static final int raise_b_lip_rm_o = 57;
    static final int raise_l_cornerlip_o = 58;
    static final int raise_r_cornerlip_o = 59;
    static final int stretch_l_nose = 60;
    static final int stretch_r_nose = 61;
    static final int raise_nose = 62;
    static final int bend_nose = 63;
    static final int raise_l_ear = 64;
    static final int raise_r_ear = 65;
    static final int pull_l_ear = 66;
    static final int pull_r_ear = 67;
  }
  public interface FDP
  {
    static final int featurePointsCoord = 0;
    static final int textureCoord = 1;
    static final int faceDefTables = 2;
    static final int faceSceneGraph = 3;
  }
  public interface FIT
  {
    static final int FAPs = 0;
    static final int Graph = 1;
    static final int numeratorExp = 2;
    static final int denominatorExp = 3;
    static final int numeratorImpulse = 4;
    static final int numeratorTerms = 5;
    static final int denominatorTerms = 6;
    static final int numeratorCoefs = 7;
    static final int denominatorCoefs = 8;
  }
  public interface Fog
  {
    static final int color = 0;
    static final int fogType = 1;
    static final int visibilityRange = 2;
    static final int set_bind = 3;
  }
  public interface FontStyle
  {
    static final int family = 0;
    static final int horizontal = 1;
    static final int justify = 2;
    static final int language = 3;
    static final int leftToRight = 4;
    static final int size = 5;
    static final int spacing = 6;
    static final int style = 7;
    static final int topToBottom = 8;
  }
  public interface Form
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int size = 3;
    static final int groups = 4;
    static final int constraints = 5;
    static final int groupsIndex = 6;
  }
  public interface Group
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
  }
  public interface ImageTexture
  {
    static final int url = 0;
  }
  public interface IndexedFaceSet
  {
    static final int set_colorIndex = 0;
    static final int set_coordIndex = 1;
    static final int set_normalIndex = 2;
    static final int set_texCoordIndex = 3;
    static final int color = 4;
    static final int coord = 5;
    static final int normal = 6;
    static final int texCoord = 7;
  }
  public interface IndexedFaceSet2D
  {
    static final int set_colorIndex = 0;
    static final int set_coordIndex = 1;
    static final int set_texCoordIndex = 2;
    static final int color = 3;
    static final int coord = 4;
    static final int texCoord = 5;
  }
  public interface IndexedLineSet
  {
    static final int set_colorIndex = 0;
    static final int set_coordIndex = 1;
    static final int color = 2;
    static final int coord = 3;
  }
  public interface IndexedLineSet2D
  {
    static final int set_colorIndex = 0;
    static final int set_coordIndex = 1;
    static final int color = 2;
    static final int coord = 3;
  }
  public interface Inline
  {
    static final int url = 0;
  }
  public interface LOD
  {
    static final int level = 0;
  }
  public interface Layer2D
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int size = 3;
    static final int background = 4;
    static final int viewport = 5;
  }
  public interface Layer3D
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int size = 3;
    static final int background = 4;
    static final int fog = 5;
    static final int navigationInfo = 6;
    static final int viewpoint = 7;
  }
  public interface Layout
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int wrap = 3;
    static final int size = 4;
    static final int horizontal = 5;
    static final int justify = 6;
    static final int leftToRight = 7;
    static final int topToBottom = 8;
    static final int spacing = 9;
    static final int smoothScroll = 10;
    static final int loop = 11;
    static final int scrollVertical = 12;
    static final int scrollRate = 13;
  }
  public interface LineProperties
  {
    static final int lineColor = 0;
    static final int lineStyle = 1;
    static final int width = 2;
  }
  public interface ListeningPoint
  {
    static final int set_bind = 0;
    static final int jump = 1;
    static final int orientation = 2;
    static final int position = 3;
  }
  public interface Material
  {
    static final int ambientIntensity = 0;
    static final int diffuseColor = 1;
    static final int emissiveColor = 2;
    static final int shininess = 3;
    static final int specularColor = 4;
    static final int transparency = 5;
  }
  public interface Material2D
  {
    static final int emissiveColor = 0;
    static final int filled = 1;
    static final int lineProps = 2;
    static final int transparency = 3;
  }
  public interface MovieTexture
  {
    static final int loop = 0;
    static final int speed = 1;
    static final int startTime = 2;
    static final int stopTime = 3;
    static final int url = 4;
  }
  public interface NavigationInfo
  {
    static final int set_bind = 0;
    static final int avatarSize = 1;
    static final int headlight = 2;
    static final int speed = 3;
    static final int type = 4;
    static final int visibilityLimit = 5;
  }
  public interface Normal
  {
    static final int vector = 0;
  }
  public interface NormalInterpolator
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface OrderedGroup
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int order = 3;
  }
  public interface OrientationInterpolator
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface PixelTexture
  {
    static final int image = 0;
  }
  public interface PlaneSensor
  {
    static final int autoOffset = 0;
    static final int enabled = 1;
    static final int maxPosition = 2;
    static final int minPosition = 3;
    static final int offset = 4;
  }
  public interface PlaneSensor2D
  {
    static final int autoOffset = 0;
    static final int enabled = 1;
    static final int maxPosition = 2;
    static final int minPosition = 3;
    static final int offset = 4;
  }
  public interface PointLight
  {
    static final int ambientIntensity = 0;
    static final int attenuation = 1;
    static final int color = 2;
    static final int intensity = 3;
    static final int location = 4;
    static final int on = 5;
    static final int radius = 6;
  }
  public interface PointSet
  {
    static final int color = 0;
    static final int coord = 1;
  }
  public interface PointSet2D
  {
    static final int color = 0;
    static final int coord = 1;
  }
  public interface PositionInterpolator
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface PositionInterpolator2D
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface ProximitySensor2D
  {
    static final int center = 0;
    static final int size = 1;
    static final int enabled = 2;
  }
  public interface ProximitySensor
  {
    static final int center = 0;
    static final int size = 1;
    static final int enabled = 2;
  }
  public interface QuantizationParameter
  {
  }
  public interface Rectangle
  {
    static final int size = 0;
  }
  public interface ScalarInterpolator
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface Script
  {
    static final int url = 0;
  }
  public interface Shape
  {
    static final int appearance = 0;
    static final int geometry = 1;
  }
  public interface Sound
  {
    static final int direction = 0;
    static final int intensity = 1;
    static final int location = 2;
    static final int maxBack = 3;
    static final int maxFront = 4;
    static final int minBack = 5;
    static final int minFront = 6;
    static final int priority = 7;
    static final int source = 8;
  }
  public interface Sound2D
  {
    static final int intensity = 0;
    static final int location = 1;
    static final int source = 2;
  }
  public interface Sphere
  {
  }
  public interface SphereSensor
  {
    static final int autoOffset = 0;
    static final int enabled = 1;
    static final int offset = 2;
  }
  public interface SpotLight
  {
    static final int ambientIntensity = 0;
    static final int attenuation = 1;
    static final int beamWidth = 2;
    static final int color = 3;
    static final int cutOffAngle = 4;
    static final int direction = 5;
    static final int intensity = 6;
    static final int location = 7;
    static final int on = 8;
    static final int radius = 9;
  }
  public interface Switch
  {
    static final int choice = 0;
    static final int whichChoice = 1;
  }
  public interface TermCap
  {
    static final int evaluate = 0;
    static final int capability = 1;
  }
  public interface Text
  {
    static final int string = 0;
    static final int length = 1;
    static final int fontStyle = 2;
    static final int maxExtent = 3;
  }
  public interface TextureCoordinate
  {
    static final int point = 0;
  }
  public interface TextureTransform
  {
    static final int center = 0;
    static final int rotation = 1;
    static final int scale = 2;
    static final int translation = 3;
  }
  public interface TimeSensor
  {
    static final int cycleInterval = 0;
    static final int enabled = 1;
    static final int loop = 2;
    static final int startTime = 3;
    static final int stopTime = 4;
  }
  public interface TouchSensor
  {
    static final int enabled = 0;
  }
  public interface Transform
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int center = 2;
    static final int children = 3;
    static final int rotation = 4;
    static final int scale = 5;
    static final int scaleOrientation = 6;
    static final int translation = 7;
  }
  public interface Transform2D
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int center = 3;
    static final int rotationAngle = 4;
    static final int scale = 5;
    static final int scaleOrientation = 6;
    static final int translation = 7;
  }
  public interface Valuator
  {
    static final int inSFBool = 0;
    static final int inSFColor = 1;
    static final int inMFColor = 2;
    static final int inSFFloat = 3;
    static final int inMFFloat = 4;
    static final int inSFInt32 = 5;
    static final int inMFInt32 = 6;
    static final int inSFRotation = 7;
    static final int inMFRotation = 8;
    static final int inSFString = 9;
    static final int inMFString = 10;
    static final int inSFTime = 11;
    static final int inSFVec2f = 12;
    static final int inMFVec2f = 13;
    static final int inSFVec3f = 14;
    static final int inMFVec3f = 15;
    static final int Factor1 = 16;
    static final int Factor2 = 17;
    static final int Factor3 = 18;
    static final int Factor4 = 19;
    static final int Offset1 = 20;
    static final int Offset2 = 21;
    static final int Offset3 = 22;
    static final int Offset4 = 23;
    static final int Sum = 24;
  }
  public interface Viewpoint
  {
    static final int set_bind = 0;
    static final int fieldOfView = 1;
    static final int jump = 2;
    static final int orientation = 3;
    static final int position = 4;
  }
  public interface VisibilitySensor
  {
    static final int center = 0;
    static final int enabled = 1;
    static final int size = 2;
  }
  public interface Viseme
  {
    static final int viseme_select1 = 0;
    static final int viseme_select2 = 1;
    static final int viseme_blend = 2;
    static final int viseme_def = 3;
  }
  public interface WorldInfo
  {
  }
  public interface AcousticMaterial
  {
    static final int ambientIntensity = 0;
    static final int diffuseColor = 1;
    static final int emissiveColor = 2;
    static final int shininess = 3;
    static final int specularColor = 4;
    static final int transparency = 5;
  }
  public interface AcousticScene
  {
    static final int reverbLevel = 0;
    static final int reverbDelay = 1;
  }
  public interface ApplicationWindow
  {
    static final int isActive = 0;
    static final int startTime = 1;
    static final int stopTime = 2;
    static final int description = 3;
    static final int parameter = 4;
    static final int url = 5;
    static final int size = 6;
  }
  public interface BAP
  {
    static final int sacroiliac_tilt = 0;
    static final int sacroiliac_torsion = 1;
    static final int sacroiliac_roll = 2;
    static final int l_hip_flexion = 3;
    static final int r_hip_flexion = 4;
    static final int l_hip_abduct = 5;
    static final int r_hip_abduct = 6;
    static final int l_hip_twisting = 7;
    static final int r_hip_twisting = 8;
    static final int l_knee_flexion = 9;
    static final int r_knee_flexion = 10;
    static final int l_knee_twisting = 11;
    static final int r_knee_twisting = 12;
    static final int l_ankle_flexion = 13;
    static final int r_ankle_flexion = 14;
    static final int l_ankle_twisting = 15;
    static final int r_ankle_twisting = 16;
    static final int l_subtalar_flexion = 17;
    static final int r_subtalar_flexion = 18;
    static final int l_midtarsal_flexion = 19;
    static final int r_midtarsal_flexion = 20;
    static final int l_metatarsal_flexion = 21;
    static final int r_metatarsal_flexion = 22;
    static final int l_sternoclavicular_abduct = 23;
    static final int r_sternoclavicular_abduct = 24;
    static final int l_sternoclavicular_rotate = 25;
    static final int r_sternoclavicular_rotate = 26;
    static final int l_acromioclavicular_abduct = 27;
    static final int r_acromioclavicular_abduct = 28;
    static final int l_acromioclavicular_rotate = 29;
    static final int r_acromioclavicular_rotate = 30;
    static final int l_shoulder_flexion = 31;
    static final int r_shoulder_flexion = 32;
    static final int l_shoulder_abduct = 33;
    static final int r_shoulder_abduct = 34;
    static final int l_shoulder_twisting = 35;
    static final int r_shoulder_twisting = 36;
    static final int l_elbow_flexion = 37;
    static final int r_elbow_flexion = 38;
    static final int l_elbow_twisting = 39;
    static final int r_elbow_twisting = 40;
    static final int l_wrist_flexion = 41;
    static final int r_wrist_flexion = 42;
    static final int l_wrist_pivot = 43;
    static final int r_wrist_pivot = 44;
    static final int l_wrist_twisting = 45;
    static final int r_wrist_twisting = 46;
    static final int skullbase_roll = 47;
    static final int skullbase_torsion = 48;
    static final int skullbase_tilt = 49;
    static final int vc1roll = 50;
    static final int vc1torsion = 51;
    static final int vc1tilt = 52;
    static final int vc2roll = 53;
    static final int vc2torsion = 54;
    static final int vc2tilt = 55;
    static final int vc3roll = 56;
    static final int vc3torsion = 57;
    static final int vc3tilt = 58;
    static final int vc4roll = 59;
    static final int vc4torsion = 60;
    static final int vc4tilt = 61;
    static final int vc5roll = 62;
    static final int vc5torsion = 63;
    static final int vc5tilt = 64;
    static final int vc6roll = 65;
    static final int vc6torsion = 66;
    static final int vc6tilt = 67;
    static final int vc7roll = 68;
    static final int vc7torsion = 69;
    static final int vc7tilt = 70;
    static final int vt1roll = 71;
    static final int vt1torsion = 72;
    static final int vt1tilt = 73;
    static final int vt2roll = 74;
    static final int vt2torsion = 75;
    static final int vt2tilt = 76;
    static final int vt3roll = 77;
    static final int vt3torsion = 78;
    static final int vt3tilt = 79;
    static final int vt4roll = 80;
    static final int vt4torsion = 81;
    static final int vt4tilt = 82;
    static final int vt5roll = 83;
    static final int vt5torsion = 84;
    static final int vt5tilt = 85;
    static final int vt6roll = 86;
    static final int vt6torsion = 87;
    static final int vt6tilt = 88;
    static final int vt7roll = 89;
    static final int vt7torsion = 90;
    static final int vt7tilt = 91;
    static final int vt8roll = 92;
    static final int vt8torsion = 93;
    static final int vt8tilt = 94;
    static final int vt9roll = 95;
    static final int vt9torsion = 96;
    static final int vt9tilt = 97;
    static final int vt10roll = 98;
    static final int vt10torsion = 99;
    static final int vt10tilt = 100;
    static final int vt11roll = 101;
    static final int vt11torsion = 102;
    static final int vt11tilt = 103;
    static final int vt12roll = 104;
    static final int vt12torsion = 105;
    static final int vt12tilt = 106;
    static final int vl1roll = 107;
    static final int vl1torsion = 108;
    static final int vl1tilt = 109;
    static final int vl2roll = 110;
    static final int vl2torsion = 111;
    static final int vl2tilt = 112;
    static final int vl3roll = 113;
    static final int vl3torsion = 114;
    static final int vl3tilt = 115;
    static final int vl4roll = 116;
    static final int vl4torsion = 117;
    static final int vl4tilt = 118;
    static final int vl5roll = 119;
    static final int vl5torsion = 120;
    static final int vl5tilt = 121;
    static final int l_pinky0_flexion = 122;
    static final int r_pinky0_flexion = 123;
    static final int l_pinky1_flexion = 124;
    static final int r_pinky1_flexion = 125;
    static final int l_pinky1_pivot = 126;
    static final int r_pinky1_pivot = 127;
    static final int l_pinky1_twisting = 128;
    static final int r_pinky1_twisting = 129;
    static final int l_pinky2_flexion = 130;
    static final int r_pinky2_flexion = 131;
    static final int l_pinky3_flexion = 132;
    static final int r_pinky3_flexion = 133;
    static final int l_ring0_flexion = 134;
    static final int r_ring0_flexion = 135;
    static final int l_ring1_flexion = 136;
    static final int r_ring1_flexion = 137;
    static final int l_ring1_pivot = 138;
    static final int r_ring1_pivot = 139;
    static final int l_ring1_twisting = 140;
    static final int r_ring1_twisting = 141;
    static final int l_ring2_flexion = 142;
    static final int r_ring2_flexion = 143;
    static final int l_ring3_flexion = 144;
    static final int r_ring3_flexion = 145;
    static final int l_middle0_flexion = 146;
    static final int r_middle0_flexion = 147;
    static final int l_middle1_flexion = 148;
    static final int r_middle1_flexion = 149;
    static final int l_middle1_pivot = 150;
    static final int r_middle1_pivot = 151;
    static final int l_middle1_twisting = 152;
    static final int r_middle1_twisting = 153;
    static final int l_middle2_flexion = 154;
    static final int r_middle2_flexion = 155;
    static final int l_middle3_flexion = 156;
    static final int r_middle3_flexion = 157;
    static final int l_index0_flexion = 158;
    static final int r_index0_flexion = 159;
    static final int l_index1_flexion = 160;
    static final int r_index1_flexion = 161;
    static final int l_index1_pivot = 162;
    static final int r_index1_pivot = 163;
    static final int l_index1_twisting = 164;
    static final int r_index1_twisting = 165;
    static final int l_index2_flexion = 166;
    static final int r_index2_flexion = 167;
    static final int l_index3_flexion = 168;
    static final int r_index3_flexion = 169;
    static final int l_thumb1_flexion = 170;
    static final int r_thumb1_flexion = 171;
    static final int l_thumb1_pivot = 172;
    static final int r_thumb1_pivot = 173;
    static final int l_thumb1_twisting = 174;
    static final int r_thumb1_twisting = 175;
    static final int l_thumb2_flexion = 176;
    static final int r_thumb2_flexion = 177;
    static final int l_thumb3_flexion = 178;
    static final int r_thumb3_flexion = 179;
    static final int HumanoidRoot_tr_vertical = 180;
    static final int HumanoidRoot_tr_lateral = 181;
    static final int HumanoidRoot_tr_frontal = 182;
    static final int HumanoidRoot_rt_body_turn = 183;
    static final int HumanoidRoot_rt_body_roll = 184;
    static final int HumanoidRoot_rt_body_tilt = 185;
    static final int extensionBap187 = 186;
    static final int extensionBap188 = 187;
    static final int extensionBap189 = 188;
    static final int extensionBap190 = 189;
    static final int extensionBap191 = 190;
    static final int extensionBap192 = 191;
    static final int extensionBap193 = 192;
    static final int extensionBap194 = 193;
    static final int extensionBap195 = 194;
    static final int extensionBap196 = 195;
    static final int extensionBap197 = 196;
    static final int extensionBap198 = 197;
    static final int extensionBap199 = 198;
    static final int extensionBap200 = 199;
    static final int extensionBap201 = 200;
    static final int extensionBap202 = 201;
    static final int extensionBap203 = 202;
    static final int extensionBap204 = 203;
    static final int extensionBap205 = 204;
    static final int extensionBap206 = 205;
    static final int extensionBap207 = 206;
    static final int extensionBap208 = 207;
    static final int extensionBap209 = 208;
    static final int extensionBap210 = 209;
    static final int extensionBap211 = 210;
    static final int extensionBap212 = 211;
    static final int extensionBap213 = 212;
    static final int extensionBap214 = 213;
    static final int extensionBap215 = 214;
    static final int extensionBap216 = 215;
    static final int extensionBap217 = 216;
    static final int extensionBap218 = 217;
    static final int extensionBap219 = 218;
    static final int extensionBap220 = 219;
    static final int extensionBap221 = 220;
    static final int extensionBap222 = 221;
    static final int extensionBap223 = 222;
    static final int extensionBap224 = 223;
    static final int extensionBap225 = 224;
    static final int extensionBap226 = 225;
    static final int extensionBap227 = 226;
    static final int extensionBap228 = 227;
    static final int extensionBap229 = 228;
    static final int extensionBap230 = 229;
    static final int extensionBap231 = 230;
    static final int extensionBap232 = 231;
    static final int extensionBap233 = 232;
    static final int extensionBap234 = 233;
    static final int extensionBap235 = 234;
    static final int extensionBap236 = 235;
    static final int extensionBap237 = 236;
    static final int extensionBap238 = 237;
    static final int extensionBap239 = 238;
    static final int extensionBap240 = 239;
    static final int extensionBap241 = 240;
    static final int extensionBap242 = 241;
    static final int extensionBap243 = 242;
    static final int extensionBap244 = 243;
    static final int extensionBap245 = 244;
    static final int extensionBap246 = 245;
    static final int extensionBap247 = 246;
    static final int extensionBap248 = 247;
    static final int extensionBap249 = 248;
    static final int extensionBap250 = 249;
    static final int extensionBap251 = 250;
    static final int extensionBap252 = 251;
    static final int extensionBap253 = 252;
    static final int extensionBap254 = 253;
    static final int extensionBap255 = 254;
    static final int extensionBap256 = 255;
    static final int extensionBap257 = 256;
    static final int extensionBap258 = 257;
    static final int extensionBap259 = 258;
    static final int extensionBap260 = 259;
    static final int extensionBap261 = 260;
    static final int extensionBap262 = 261;
    static final int extensionBap263 = 262;
    static final int extensionBap264 = 263;
    static final int extensionBap265 = 264;
    static final int extensionBap266 = 265;
    static final int extensionBap267 = 266;
    static final int extensionBap268 = 267;
    static final int extensionBap269 = 268;
    static final int extensionBap270 = 269;
    static final int extensionBap271 = 270;
    static final int extensionBap272 = 271;
    static final int extensionBap273 = 272;
    static final int extensionBap274 = 273;
    static final int extensionBap275 = 274;
    static final int extensionBap276 = 275;
    static final int extensionBap277 = 276;
    static final int extensionBap278 = 277;
    static final int extensionBap279 = 278;
    static final int extensionBap280 = 279;
    static final int extensionBap281 = 280;
    static final int extensionBap282 = 281;
    static final int extensionBap283 = 282;
    static final int extensionBap284 = 283;
    static final int extensionBap285 = 284;
    static final int extensionBap286 = 285;
    static final int extensionBap287 = 286;
    static final int extensionBap288 = 287;
    static final int extensionBap289 = 288;
    static final int extensionBap290 = 289;
    static final int extensionBap291 = 290;
    static final int extensionBap292 = 291;
    static final int extensionBap293 = 292;
    static final int extensionBap294 = 293;
    static final int extensionBap295 = 294;
    static final int extensionBap296 = 295;
  }
  public interface BDP
  {
    static final int bodyDefTables = 0;
    static final int bodySceneGraph = 1;
  }
  public interface Body
  {
    static final int bdp = 0;
    static final int bap = 1;
    static final int renderedBody = 2;
  }
  public interface BodyDefTable
  {
    static final int bodySceneGraphNodeName = 0;
    static final int bapIDs = 1;
    static final int vertexIds = 2;
    static final int bapCombinations = 3;
    static final int displacements = 4;
    static final int numInterpolateKeys = 5;
  }
  public interface BodySegmentConnectionHint
  {
    static final int firstSegmentNodeName = 0;
    static final int secondSegmentNodeName = 1;
    static final int firstVertexIdList = 2;
    static final int secondVertexIdList = 3;
  }
  public interface DirectiveSound
  {
    static final int direction = 0;
    static final int intensity = 1;
    static final int location = 2;
    static final int source = 3;
    static final int perceptualParameters = 4;
    static final int roomEffect = 5;
    static final int spatialize = 6;
  }
  public interface Hierarchical3DMesh
  {
    static final int triangleBudget = 0;
    static final int level = 1;
  }
  public interface MaterialKey
  {
    static final int isKeyed = 0;
    static final int isRGB = 1;
    static final int keyColor = 2;
    static final int lowThreshold = 3;
    static final int highThreshold = 4;
    static final int transparency = 5;
  }
  public interface PerceptualParameters
  {
    static final int sourcePresence = 0;
    static final int sourceWarmth = 1;
    static final int sourceBrilliance = 2;
    static final int roomPresence = 3;
    static final int runningReverberance = 4;
    static final int envelopment = 5;
    static final int lateReverberance = 6;
    static final int heavyness = 7;
    static final int liveness = 8;
    static final int omniDirectivity = 9;
    static final int directFilterGains = 10;
    static final int inputFilterGains = 11;
    static final int refDistance = 12;
    static final int freqLow = 13;
    static final int freqHigh = 14;
    static final int timeLimit1 = 15;
    static final int timeLimit2 = 16;
    static final int timeLimit3 = 17;
    static final int modalDensity = 18;
  }
  public interface TemporalTransform
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int url = 3;
    static final int startTime = 4;
    static final int optimalDuration = 5;
    static final int active = 6;
    static final int speed = 7;
    static final int scalability = 8;
    static final int stretchMode = 9;
    static final int shrinkMode = 10;
    static final int maxDelay = 11;
  }
  public interface TemporalGroup
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int priority = 3;
  }
  public interface ServerCommand
  {
    static final int trigger = 0;
    static final int enable = 1;
    static final int url = 2;
    static final int command = 3;
  }
  public interface InputSensor
  {
    static final int enabled = 0;
    static final int buffer = 1;
    static final int url = 2;
  }
  public interface MatteTexture
  {
    static final int operation = 0;
    static final int fraction = 1;
    static final int parameter = 2;
  }
  public interface MediaBuffer
  {
    static final int bufferSize = 0;
    static final int url = 1;
    static final int mediaStartTime = 2;
    static final int mediaStopTime = 3;
    static final int enabled = 4;
  }
  public interface MediaControl
  {
    static final int url = 0;
    static final int mediaStartTime = 1;
    static final int mediaStopTime = 2;
    static final int mediaSpeed = 3;
    static final int loop = 4;
    static final int preRoll = 5;
    static final int mute = 6;
    static final int enabled = 7;
  }
  public interface MediaSensor
  {
    static final int url = 0;
  }
  public interface BitWrapper
  {
  }
  public interface CoordinateInterpolator4D
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface DepthImage
  {
  }
  public interface FFD
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int controlPoint = 3;
  }
  public interface Implicit
  {
    static final int bboxSize = 0;
    static final int c = 1;
    static final int densities = 2;
    static final int dual = 3;
    static final int solid = 4;
  }
  public interface MeshGrid
  {
    static final int set_colorIndex = 0;
    static final int set_coordIndex = 1;
    static final int set_normalIndex = 2;
    static final int set_texCoordIndex = 3;
    static final int color = 4;
    static final int coord = 5;
    static final int displayLevel = 6;
    static final int filterType = 7;
    static final int gridCoord = 8;
    static final int hierarchicalLevel = 9;
    static final int nLevels = 10;
    static final int normal = 11;
    static final int nSlices = 12;
    static final int texCoord = 13;
    static final int vertexOffset = 14;
    static final int vertexLink = 15;
  }
  public interface NonLinearDeformer
  {
    static final int axis = 0;
    static final int extend = 1;
    static final int geometry = 2;
    static final int param = 3;
    static final int type = 4;
  }
  public interface NurbsCurve
  {
    static final int set_colorIndex = 0;
    static final int color = 1;
    static final int controlPoint = 2;
    static final int tessellation = 3;
  }
  public interface NurbsCurve2D
  {
    static final int set_colorIndex = 0;
    static final int color = 1;
    static final int controlPoint = 2;
    static final int tessellation = 3;
  }
  public interface NurbsSurface
  {
    static final int set_colorIndex = 0;
    static final int set_texColorIndex = 1;
    static final int color = 2;
    static final int controlPoint = 3;
    static final int texCoord = 4;
    static final int uTessellation = 5;
    static final int vTessellation = 6;
  }
  public interface OctreeImage
  {
  }
  public interface PointTexture
  {
  }
  public interface PositionAnimator
  {
    static final int set_fraction = 0;
    static final int fromTo = 1;
    static final int key = 2;
    static final int keyOrientation = 3;
    static final int keyType = 4;
    static final int keySpline = 5;
    static final int keyValue = 6;
    static final int keyValueType = 7;
    static final int offset = 8;
    static final int weight = 9;
  }
  public interface PositionAnimator2D
  {
    static final int set_fraction = 0;
    static final int fromTo = 1;
    static final int key = 2;
    static final int keyOrientation = 3;
    static final int keyType = 4;
    static final int keySpline = 5;
    static final int keyValue = 6;
    static final int keyValueType = 7;
    static final int offset = 8;
    static final int weight = 9;
  }
  public interface PositionInterpolator4D
  {
    static final int set_fraction = 0;
    static final int key = 1;
    static final int keyValue = 2;
  }
  public interface ProceduralTexture
  {
    static final int aSmooth = 0;
    static final int aWarpmap = 1;
    static final int aWeights = 2;
    static final int bSmooth = 3;
    static final int bWarpmap = 4;
    static final int bWeights = 5;
    static final int cellWidth = 6;
    static final int cellHeight = 7;
    static final int color = 8;
    static final int distortion = 9;
    static final int height = 10;
    static final int roughness = 11;
    static final int seed = 12;
    static final int type = 13;
    static final int xSmooth = 14;
    static final int xWarpmap = 15;
    static final int ySmooth = 16;
    static final int yWarpmap = 17;
    static final int width = 18;
  }
  public interface Quadric
  {
    static final int bboxSize = 0;
    static final int densities = 1;
    static final int dual = 2;
    static final int P0 = 3;
    static final int P1 = 4;
    static final int P2 = 5;
    static final int P3 = 6;
    static final int P4 = 7;
    static final int P5 = 8;
    static final int solid = 9;
  }
  public interface SBBone
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int boneID = 2;
    static final int center = 3;
    static final int children = 4;
    static final int endpoint = 5;
    static final int falloff = 6;
    static final int ikChainPosition = 7;
    static final int ikPitchLimit = 8;
    static final int ikRollLimit = 9;
    static final int ikTxLimit = 10;
    static final int ikTyLimit = 11;
    static final int ikTzLimit = 12;
    static final int ikYawLimit = 13;
    static final int rotation = 14;
    static final int rotationOrder = 15;
    static final int scale = 16;
    static final int scaleOrientation = 17;
    static final int sectionInner = 18;
    static final int sectionOuter = 19;
    static final int sectionPosition = 20;
    static final int skinCoordIndex = 21;
    static final int skinCoordWeight = 22;
    static final int translation = 23;
  }
  public interface SBMuscle
  {
    static final int falloff = 0;
    static final int muscleCurve = 1;
    static final int muscleID = 2;
    static final int radius = 3;
    static final int skinCoordIndex = 4;
    static final int skinCoordWeight = 5;
  }
  public interface SBSegment
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int centerOfMass = 2;
    static final int children = 3;
    static final int mass = 4;
    static final int momentsOfInertia = 5;
    static final int name = 6;
  }
  public interface SBSite
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int center = 2;
    static final int children = 3;
    static final int name = 4;
    static final int rotation = 5;
    static final int scale = 6;
    static final int scaleOrientation = 7;
    static final int translation = 8;
  }
  public interface SBSkinnedModel
  {
    static final int bones = 0;
    static final int center = 1;
    static final int muscles = 2;
    static final int name = 3;
    static final int rotation = 4;
    static final int segments = 5;
    static final int scale = 6;
    static final int scaleOrientation = 7;
    static final int sites = 8;
    static final int skeleton = 9;
    static final int skin = 10;
    static final int skinCoord = 11;
    static final int skinNormal = 12;
    static final int translation = 13;
    static final int weighsComputationSkinCoord = 14;
  }
  public interface SBVCAnimation
  {
    static final int url = 0;
    static final int virtualCharacters = 1;
  }
  public interface ScalarAnimator
  {
    static final int set_fraction = 0;
    static final int fromTo = 1;
    static final int key = 2;
    static final int keyType = 3;
    static final int keySpline = 4;
    static final int keyValue = 5;
    static final int keyValueType = 6;
    static final int offset = 7;
    static final int weight = 8;
  }
  public interface SimpleTexture
  {
  }
  public interface SolidRep
  {
    static final int bboxSize = 0;
    static final int densityList = 1;
    static final int solidTree = 2;
  }
  public interface SubdivisionSurface
  {
    static final int set_colorIndex = 0;
    static final int set_coordIndex = 1;
    static final int set_cornerVertexIndex = 2;
    static final int set_creaseEdgeIndex = 3;
    static final int set_creaseVertexIndex = 4;
    static final int set_dartVertexIndex = 5;
    static final int set_texCoordIndex = 6;
    static final int color = 7;
    static final int coord = 8;
    static final int texCoord = 9;
    static final int sectors = 10;
    static final int subdivisionLevel = 11;
    static final int subdivisionType = 12;
    static final int subdivisionSubType = 13;
  }
  public interface SubdivSurfaceSector
  {
    static final int flatness = 0;
    static final int normal = 1;
    static final int normalTension = 2;
    static final int tag = 3;
    static final int theta = 4;
  }
  public interface WaveletSubdivisionSurface
  {
    static final int baseMesh = 0;
    static final int fieldOfView = 1;
    static final int frequency = 2;
    static final int quality = 3;
  }
  public interface Clipper2D
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int geometry = 3;
    static final int inside = 4;
    static final int transform = 5;
    static final int XOR = 6;
  }
  public interface ColorTransform
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int mrr = 3;
    static final int mrg = 4;
    static final int mrb = 5;
    static final int mra = 6;
    static final int tr = 7;
    static final int mgr = 8;
    static final int mgg = 9;
    static final int mgb = 10;
    static final int mga = 11;
    static final int tg = 12;
    static final int mbr = 13;
    static final int mbg = 14;
    static final int mbb = 15;
    static final int mba = 16;
    static final int tb = 17;
    static final int mar = 18;
    static final int mag = 19;
    static final int mab = 20;
    static final int maa = 21;
    static final int ta = 22;
  }
  public interface Ellipse
  {
    static final int radius = 0;
  }
  public interface LinearGradient
  {
    static final int endPoint = 0;
    static final int key = 1;
    static final int keyValue = 2;
    static final int opacity = 3;
    static final int spreadMethod = 4;
    static final int startPoint = 5;
    static final int transform = 6;
  }
  public interface PathLayout
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int geometry = 3;
    static final int alignment = 4;
    static final int pathOffset = 5;
    static final int spacing = 6;
    static final int reverseLayout = 7;
    static final int wrapMode = 8;
    static final int splitText = 9;
  }
  public interface RadialGradient
  {
    static final int center = 0;
    static final int focalPoint = 1;
    static final int key = 2;
    static final int keyValue = 3;
    static final int opacity = 4;
    static final int radius = 5;
    static final int spreadMethod = 6;
    static final int transform = 7;
  }
  public interface SynthesizedTexture
  {
    static final int translation = 0;
    static final int rotation = 1;
    static final int pixelWidth = 2;
    static final int pixelHeight = 3;
    static final int loop = 4;
    static final int speed = 5;
    static final int startTime = 6;
    static final int stopTime = 7;
    static final int url = 8;
  }
  public interface TransformMatrix2D
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int mxx = 3;
    static final int mxy = 4;
    static final int tx = 5;
    static final int myx = 6;
    static final int myy = 7;
    static final int ty = 8;
  }
  public interface Viewport
  {
    static final int set_bind = 0;
    static final int position = 1;
    static final int size = 2;
    static final int orientation = 3;
    static final int alignment = 4;
    static final int fit = 5;
  }
  public interface XCurve2D
  {
    static final int point = 0;
    static final int fineness = 1;
    static final int type = 2;
  }
  public interface XFontStyle
  {
    static final int fontName = 0;
    static final int horizontal = 1;
    static final int justify = 2;
    static final int language = 3;
    static final int leftToRight = 4;
    static final int size = 5;
    static final int stretch = 6;
    static final int letterSpacing = 7;
    static final int wordSpacing = 8;
    static final int weight = 9;
    static final int fontKerning = 10;
    static final int style = 11;
    static final int topToBottom = 12;
    static final int featureName = 13;
    static final int featureStartOffset = 14;
    static final int featureLength = 15;
    static final int featureValue = 16;
  }
  public interface XLineProperties
  {
    static final int lineColor = 0;
    static final int lineStyle = 1;
    static final int isCenterAligned = 2;
    static final int isScalable = 3;
    static final int lineCap = 4;
    static final int lineJoin = 5;
    static final int miterLimit = 6;
    static final int transparency = 7;
    static final int width = 8;
    static final int dashOffset = 9;
    static final int dashes = 10;
    static final int texture = 11;
    static final int textureTransform = 12;
  }
  public interface AdvancedAudioBuffer
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int loop = 3;
    static final int pitch = 4;
    static final int startTime = 5;
    static final int stopTime = 6;
    static final int startLoadTime = 7;
    static final int stopLoadTime = 8;
    static final int loadMode = 9;
    static final int numAccumulatedBlocks = 10;
    static final int deleteBlock = 11;
    static final int playBlock = 12;
    static final int length = 13;
  }
  public interface AudioChannelConfig
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int generalChannelFormat = 3;
    static final int fixedPreset = 4;
    static final int fixedPresetSubset = 5;
    static final int fixedPresetAddInf = 6;
    static final int channelCoordinateSystems = 7;
    static final int channelSoundLocation = 8;
    static final int channelDirectionalPattern = 9;
    static final int channelDirection = 10;
    static final int ambResolution2D = 11;
    static final int ambResolution3D = 12;
    static final int ambEncodingConvention = 13;
    static final int ambNfcReferenceDistance = 14;
    static final int ambSoundSpeed = 15;
    static final int ambArrangementRule = 16;
    static final int ambRecombinationPreset = 17;
    static final int ambComponentIndex = 18;
    static final int ambBackwardMatrix = 19;
    static final int ambSoundfieldResolution = 20;
  }
  public interface DepthImageV2
  {
  }
  public interface MorphShape
  {
    static final int baseShape = 0;
    static final int morphID = 1;
    static final int targetShapes = 2;
    static final int weights = 3;
  }
  public interface MultiTexture
  {
    static final int alpha = 0;
    static final int color = 1;
    static final int function = 2;
    static final int mode = 3;
    static final int source = 4;
    static final int texture = 5;
    static final int cameraVector = 6;
    static final int transparent = 7;
  }
  public interface PointTextureV2
  {
  }
  public interface SBVCAnimationV2
  {
    static final int activeUrlIndex = 0;
    static final int loop = 1;
    static final int speed = 2;
    static final int startTime = 3;
    static final int stopTime = 4;
    static final int transitionTime = 5;
    static final int url = 6;
    static final int virtualCharacters = 7;
  }
  public interface SimpleTextureV2
  {
  }
  public interface SurroundingSound
  {
    static final int source = 0;
    static final int intensity = 1;
    static final int distance = 2;
    static final int location = 3;
    static final int distortionFactor = 4;
    static final int orientation = 5;
    static final int isTransformable = 6;
  }
  public interface Transform3DAudio
  {
    static final int addChildren = 0;
    static final int removeChildren = 1;
    static final int children = 2;
    static final int thirdCenterCoordinate = 3;
    static final int rotationVector = 4;
    static final int thirdScaleCoordinate = 5;
    static final int scaleOrientationVector = 6;
    static final int thirdTranslationCoordinate = 7;
    static final int coordinateTransform = 8;
  }
  public interface WideSound
  {
    static final int source = 0;
    static final int intensity = 1;
    static final int location = 2;
    static final int spatialize = 3;
    static final int perceptualParameters = 4;
    static final int roomEffect = 5;
    static final int shape = 6;
    static final int size = 7;
    static final int direction = 8;
    static final int density = 9;
    static final int diffuseSelect = 10;
    static final int decorrStrength = 11;
  }
} // end
