package org.iso.mpeg.mpegj.scene;

/**
 * An interface defining constants for node types.
 * 
 * @author Mikael Bourges-Sevenier (mikael@mindego.com), Mindego Inc.
 */
public interface NodeType
{
  /**
   * Anchor node.
   */
  public static final int Anchor = 1;

  /**
   * AnimationStream node.
   */
  public static final int AnimationStream = 2;

  /**
   * Appearance node.
   */
  public static final int Appearance = 3;

  /**
   * AudioBuffer node.
   */
  public static final int AudioBuffer = 4;

  /**
   * AudioClip node.
   */
  public static final int AudioClip = 5;

  /**
   * AudioDelay node.
   */
  public static final int AudioDelay = 6;

  /**
   * AudioFX node.
   */
  public static final int AudioFX = 7;

  /**
   * AudioMix node.
   */
  public static final int AudioMix = 8;

  /**
   * AudioSource node.
   */
  public static final int AudioSource = 9;

  /**
   * AudioSwitch node.
   */
  public static final int AudioSwitch = 10;

  /**
   * Background node.
   */
  public static final int Background = 11;

  /**
   * Background2D node.
   */
  public static final int Background2D = 12;

  /**
   * Billboard node.
   */
  public static final int Billboard = 13;

  /**
   * Bitmap node.
   */
  public static final int Bitmap = 14;

  /**
   * Box node.
   */
  public static final int Box = 15;

  /**
   * Circle node.
   */
  public static final int Circle = 16;

  /**
   * Collision node.
   */
  public static final int Collision = 17;

  /**
   * Color node.
   */
  public static final int Color = 18;

  /**
   * ColorInterpolator node.
   */
  public static final int ColorInterpolator = 19;

  /**
   * CompositeTexture2D node.
   */
  public static final int CompositeTexture2D = 20;

  /**
   * CompositeTexture3D node.
   */
  public static final int CompositeTexture3D = 21;

  /**
   * Conditional node.
   */
  public static final int Conditional = 22;

  /**
   * Cone node.
   */
  public static final int Cone = 23;

  /**
   * Coordinate node.
   */
  public static final int Coordinate = 24;

  /**
   * Coordinate2D node.
   */
  public static final int Coordinate2D = 25;

  /**
   * CoordinateInterpolator node.
   */
  public static final int CoordinateInterpolator = 26;

  /**
   * CoordinateInterpolator2D node.
   */
  public static final int CoordinateInterpolator2D = 27;

  /**
   * Curve2D node.
   */
  public static final int Curve2D = 28;

  /**
   * Cylinder node.
   */
  public static final int Cylinder = 29;

  /**
   * CylinderSensor node.
   */
  public static final int CylinderSensor = 30;

  /**
   * DirectionalLight node.
   */
  public static final int DirectionalLight = 31;

  /**
   * DiscSensor node.
   */
  public static final int DiscSensor = 32;

  /**
   * ElevationGrid node.
   */
  public static final int ElevationGrid = 33;

  /**
   * Expression node.
   */
  public static final int Expression = 34;

  /**
   * Extrusion node.
   */
  public static final int Extrusion = 35;

  /**
   * Face node.
   */
  public static final int Face = 36;

  /**
   * FaceDefMesh node.
   */
  public static final int FaceDefMesh = 37;

  /**
   * FaceDefTables node.
   */
  public static final int FaceDefTables = 38;

  /**
   * FaceDefTransform node.
   */
  public static final int FaceDefTransform = 39;

  /**
   * FAP node.
   */
  public static final int FAP = 40;

  /**
   * FDP node.
   */
  public static final int FDP = 41;

  /**
   * FIT node.
   */
  public static final int FIT = 42;

  /**
   * Fog node.
   */
  public static final int Fog = 43;

  /**
   * FontStyle node.
   */
  public static final int FontStyle = 44;

  /**
   * Form node.
   */
  public static final int Form = 45;

  /**
   * Group node.
   */
  public static final int Group = 46;

  /**
   * ImageTexture node.
   */
  public static final int ImageTexture = 47;

  /**
   * IndexedFaceSet node.
   */
  public static final int IndexedFaceSet = 48;

  /**
   * IndexedFaceSet2D node.
   */
  public static final int IndexedFaceSet2D = 49;

  /**
   * IndexedLineSet node.
   */
  public static final int IndexedLineSet = 50;

  /**
   * IndexedLineSet2D node.
   */
  public static final int IndexedLineSet2D = 51;

  /**
   * Inline node.
   */
  public static final int Inline = 52;

  /**
   * LOD node.
   */
  public static final int LOD = 53;

  /**
   * Layer2D node.
   */
  public static final int Layer2D = 54;

  /**
   * Layer3D node.
   */
  public static final int Layer3D = 55;

  /**
   * Layout node.
   */
  public static final int Layout = 56;

  /**
   * LineProperties node.
   */
  public static final int LineProperties = 57;

  /**
   * ListeningPoint node.
   */
  public static final int ListeningPoint = 58;

  /**
   * Material node.
   */
  public static final int Material = 59;

  /**
   * Material2D node.
   */
  public static final int Material2D = 60;

  /**
   * MovieTexture node.
   */
  public static final int MovieTexture = 61;

  /**
   * NavigationInfo node.
   */
  public static final int NavigationInfo = 62;

  /**
   * Normal node.
   */
  public static final int Normal = 63;

  /**
   * NormalInterpolator node.
   */
  public static final int NormalInterpolator = 64;

  /**
   * OrderedGroup node.
   */
  public static final int OrderedGroup = 65;

  /**
   * OrientationInterpolator node.
   */
  public static final int OrientationInterpolator = 66;

  /**
   * PixelTexture node.
   */
  public static final int PixelTexture = 67;

  /**
   * PlaneSensor node.
   */
  public static final int PlaneSensor = 68;

  /**
   * PlaneSensor2D node.
   */
  public static final int PlaneSensor2D = 69;

  /**
   * PointLight node.
   */
  public static final int PointLight = 70;

  /**
   * PointSet node.
   */
  public static final int PointSet = 71;

  /**
   * PointSet2D node.
   */
  public static final int PointSet2D = 72;

  /**
   * PositionInterpolator node.
   */
  public static final int PositionInterpolator = 73;

  /**
   * PositionInterpolator2D node.
   */
  public static final int PositionInterpolator2D = 74;

  /**
   * ProximitySensor2D node.
   */
  public static final int ProximitySensor2D = 75;

  /**
   * ProximitySensor node.
   */
  public static final int ProximitySensor = 76;

  /**
   * QuantizationParameter node.
   */
  public static final int QuantizationParameter = 77;

  /**
   * Rectangle node.
   */
  public static final int Rectangle = 78;

  /**
   * ScalarInterpolator node.
   */
  public static final int ScalarInterpolator = 79;

  /**
   * Script node.
   */
  public static final int Script = 80;

  /**
   * Shape node.
   */
  public static final int Shape = 81;

  /**
   * Sound node.
   */
  public static final int Sound = 82;

  /**
   * Sound2D node.
   */
  public static final int Sound2D = 83;

  /**
   * Sphere node.
   */
  public static final int Sphere = 84;

  /**
   * SphereSensor node.
   */
  public static final int SphereSensor = 85;

  /**
   * SpotLight node.
   */
  public static final int SpotLight = 86;

  /**
   * Switch node.
   */
  public static final int Switch = 87;

  /**
   * TermCap node.
   */
  public static final int TermCap = 88;

  /**
   * Text node.
   */
  public static final int Text = 89;

  /**
   * TextureCoordinate node.
   */
  public static final int TextureCoordinate = 90;

  /**
   * TextureTransform node.
   */
  public static final int TextureTransform = 91;

  /**
   * TimeSensor node.
   */
  public static final int TimeSensor = 92;

  /**
   * TouchSensor node.
   */
  public static final int TouchSensor = 93;

  /**
   * Transform node.
   */
  public static final int Transform = 94;

  /**
   * Transform2D node.
   */
  public static final int Transform2D = 95;

  /**
   * Valuator node.
   */
  public static final int Valuator = 96;

  /**
   * Viewpoint node.
   */
  public static final int Viewpoint = 97;

  /**
   * VisibilitySensor node.
   */
  public static final int VisibilitySensor = 98;

  /**
   * Viseme node.
   */
  public static final int Viseme = 99;

  /**
   * WorldInfo node.
   */
  public static final int WorldInfo = 100;

  /**
   * AcousticMaterial node.
   */
  public static final int AcousticMaterial = 101;

  /**
   * AcousticScene node.
   */
  public static final int AcousticScene = 102;

  /**
   * ApplicationWindow node.
   */
  public static final int ApplicationWindow = 103;

  /**
   * BAP node.
   */
  public static final int BAP = 104;

  /**
   * BDP node.
   */
  public static final int BDP = 105;

  /**
   * Body node.
   */
  public static final int Body = 106;

  /**
   * BodyDefTable node.
   */
  public static final int BodyDefTable = 107;

  /**
   * BodySegmentConnectionHint node.
   */
  public static final int BodySegmentConnectionHint = 108;

  /**
   * DirectiveSound node.
   */
  public static final int DirectiveSound = 109;

  /**
   * Hierarchical3DMesh node.
   */
  public static final int Hierarchical3DMesh = 110;

  /**
   * MaterialKey node.
   */
  public static final int MaterialKey = 111;

  /**
   * PerceptualParameters node.
   */
  public static final int PerceptualParameters = 112;

  /**
   * TemporalTransform node.
   */
  public static final int TemporalTransform = 113;

  /**
   * TemporalGroup node.
   */
  public static final int TemporalGroup = 114;

  /**
   * ServerCommand node.
   */
  public static final int ServerCommand = 115;

  /**
   * InputSensor node.
   */
  public static final int InputSensor = 116;

  /**
   * MatteTexture node.
   */
  public static final int MatteTexture = 117;

  /**
   * MediaBuffer node.
   */
  public static final int MediaBuffer = 118;

  /**
   * MediaControl node.
   */
  public static final int MediaControl = 119;

  /**
   * MediaSensor node.
   */
  public static final int MediaSensor = 120;

  /**
   * BitWrapper node.
   */
  public static final int BitWrapper = 121;

  /**
   * CoordinateInterpolator4D node.
   */
  public static final int CoordinateInterpolator4D = 122;

  /**
   * DepthImage node.
   */
  public static final int DepthImage = 123;

  /**
   * FFD node.
   */
  public static final int FFD = 124;

  /**
   * Implicit node.
   */
  public static final int Implicit = 125;

  /**
   * MeshGrid node.
   */
  public static final int MeshGrid = 126;

  /**
   * NonLinearDeformer node.
   */
  public static final int NonLinearDeformer = 127;

  /**
   * NurbsCurve node.
   */
  public static final int NurbsCurve = 128;

  /**
   * NurbsCurve2D node.
   */
  public static final int NurbsCurve2D = 129;

  /**
   * NurbsSurface node.
   */
  public static final int NurbsSurface = 130;

  /**
   * OctreeImage node.
   */
  public static final int OctreeImage = 131;

  /**
   * PointTexture node.
   */
  public static final int PointTexture = 132;

  /**
   * PositionAnimator node.
   */
  public static final int PositionAnimator = 133;

  /**
   * PositionAnimator2D node.
   */
  public static final int PositionAnimator2D = 134;

  /**
   * PositionInterpolator4D node.
   */
  public static final int PositionInterpolator4D = 135;

  /**
   * ProceduralTexture node.
   */
  public static final int ProceduralTexture = 136;

  /**
   * Quadric node.
   */
  public static final int Quadric = 137;

  /**
   * SBBone node.
   */
  public static final int SBBone = 138;

  /**
   * SBMuscle node.
   */
  public static final int SBMuscle = 139;

  /**
   * SBSegment node.
   */
  public static final int SBSegment = 140;

  /**
   * SBSite node.
   */
  public static final int SBSite = 141;

  /**
   * SBSkinnedModel node.
   */
  public static final int SBSkinnedModel = 142;

  /**
   * SBVCAnimation node.
   */
  public static final int SBVCAnimation = 143;

  /**
   * ScalarAnimator node.
   */
  public static final int ScalarAnimator = 144;

  /**
   * SimpleTexture node.
   */
  public static final int SimpleTexture = 145;

  /**
   * SolidRep node.
   */
  public static final int SolidRep = 146;

  /**
   * SubdivisionSurface node.
   */
  public static final int SubdivisionSurface = 147;

  /**
   * SubdivSurfaceSector node.
   */
  public static final int SubdivSurfaceSector = 148;

  /**
   * WaveletSubdivisionSurface node.
   */
  public static final int WaveletSubdivisionSurface = 149;

  /**
   * Clipper2D node.
   */
  public static final int Clipper2D = 150;

  /**
   * ColorTransform node.
   */
  public static final int ColorTransform = 151;

  /**
   * Ellipse node.
   */
  public static final int Ellipse = 152;

  /**
   * LinearGradient node.
   */
  public static final int LinearGradient = 153;

  /**
   * PathLayout node.
   */
  public static final int PathLayout = 154;

  /**
   * RadialGradient node.
   */
  public static final int RadialGradient = 155;

  /**
   * SynthesizedTexture node.
   */
  public static final int SynthesizedTexture = 156;

  /**
   * TransformMatrix2D node.
   */
  public static final int TransformMatrix2D = 157;

  /**
   * Viewport node.
   */
  public static final int Viewport = 158;

  /**
   * XCurve2D node.
   */
  public static final int XCurve2D = 159;

  /**
   * XFontStyle node.
   */
  public static final int XFontStyle = 160;

  /**
   * XLineProperties node.
   */
  public static final int XLineProperties = 161;

  /**
   * AdvancedAudioBuffer node.
   */
  public static final int AdvancedAudioBuffer = 162;

  /**
   * AudioChannelConfig node.
   */
  public static final int AudioChannelConfig = 163;

  /**
   * DepthImageV2 node.
   */
  public static final int DepthImageV2 = 164;

  /**
   * MorphShape node.
   */
  public static final int MorphShape = 165;

  /**
   * MultiTexture node.
   */
  public static final int MultiTexture = 166;

  /**
   * PointTextureV2 node.
   */
  public static final int PointTextureV2 = 167;

  /**
   * SBVCAnimationV2 node.
   */
  public static final int SBVCAnimationV2 = 168;

  /**
   * SimpleTextureV2 node.
   */
  public static final int SimpleTextureV2 = 169;

  /**
   * SurroundingSound node.
   */
  public static final int SurroundingSound = 170;

  /**
   * Transform3DAudio node.
   */
  public static final int Transform3DAudio = 171;

  /**
   * WideSound node.
   */
  public static final int WideSound = 172;

} // end
